# About activities and events
## Let's get physical, just kidding ;)



- Every while and then we make BBQs at Delftsehout


- We have a [telegram chat](https://t.me/DelftOpenHardware)


- We have weekly meetings on Fridays in the lunch break. Here we give updates of what is going on and discuss new ideas. 
(join our telegram where we post the links to the meetings)